body {
    font-family: var(--sans-serif-font);
}
#nav {
    padding: 0 60px;
    background-color: var(--primary-color);
    height: 100px;
    display: flex;
    align-items: center;
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    z-index: 998;
}
@media (max-width: 1536px) {
    #nav {
        height: 80px;
    }
}
@media (max-width: 768px) {
    #nav {
        padding: 0 15px;
    }
}
@media (max-width: 1536px) {
    #nav .logo a {
        width: 80px;
    }
}
@media (max-width: 1280px) {
    #nav .logo a {
        width: 70px;
    }
}
#nav ul {
    display: flex;
    align-items: center;
    margin-left: auto;
}
#nav ul a {
    color: white;
    padding: .5rem 1rem;
    margin: 0 4px;
    font-size: var(--text-subtitle);
    transition-duration: .3s;
	transition-property: transform;
}
@media (max-width: 1536px) {
    #nav ul a {
        font-size: var(--text-base);
    }
}
#nav ul a:hover {
    transform: translateY(-8px);
    border-bottom: 2px solid white;
}

#scrollBtn {
    position: fixed;
    right: 30px;
    bottom: 85px;

    background-color: transparent;
    border: 1px solid transparent;
    border-radius: 4px;
}
#scrollBtn:hover {
    cursor: pointer;
    border: 1px solid var(--primary-color);
}

select#language-select {
    width: 80px;
    padding: 5px 10px;
    border: 1px solid var(--primary-color);
    margin-left: 8px;
    background-color: transparent;
    color: white;
}
select#language-select:hover {
    cursor: pointer;
}
select#language-select:focus {
    outline: none;
}
.language {
    position: relative;
    top: 0;
    left: 0;
}
.language-select {
    all: unset;
    background-color: transparent;
    color: white;
    width: 100px;
    padding: 10px;
    display: flex;
    align-items: center;
    border-radius: 4px;
    cursor: pointer;
    font-size: var(--text-subtitle);
}
@media (max-width: 1536px) {
    .language-select {
        font-size: var(--text-base);
    }
}
.language-select img {
    width: 1.5rem;
    margin-right: 8px;
}
.language-option {
    position: absolute;
    top: 52px;
    left: 0;
    background-color: white;
    color: var(--primary-color);
    list-style: none;
    display: flex;
    flex-direction: column;
    border-radius: 5px;
    overflow: hidden;
    transition: 0.4s;
    border: 1px solid var(--primary-color);
    box-shadow: rgba(0, 0, 0, 0.1) 0px 4px 12px;
}
.option-item {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 120px;
    line-height: 36px;
    user-select: none;
    cursor: pointer;
}
.option-item:hover {
    background-color: var(--primary-color);
    color: #fff;
}
.language-select:focus ~ .language-option {
    height: 72px;
}
.language-select:focus ~ .language-option .option-item {
    transform: translateX(0);
}
.nav-logout {
    margin-left: 12px;
}
.nav-language button,
.nav-logout button {
    background: transparent;
    border: none;
    padding: 4px 8px;
    border-radius: 4px;
}
.nav-language button:focus,
.nav-logout button:focus {
    outline: none;
}
.nav-language button:hover,
.nav-logout button:hover {
    cursor: pointer;
}
.nav-language button span,
.nav-logout button span {
    display: flex;
    align-items: center;
    justify-content: center;
}
.nav-language button span,
.nav-logout button span {
    font-size: var(--text-base);
    color: white;
    height: 24px;
}
.nav-language button span::before,
.nav-logout button span::before {
    content: '';
    width: 24px;
    height: 24px;
    margin-right: 8px;
    display: inline-block;
    background-size: contain;
    background-repeat: no-repeat;
}
.nav-language button:hover,
.nav-logout button:hover {
    background-color: white;
}
.nav-language button:hover span,
.nav-logout button:hover span {
    color: var(--primary-color);
}
.nav-language button span::before {
    background-image: url('/site/img/global.svg');
}
.nav-language button:hover span::before {
    background-image: url('/site/img/global-index.svg');
}
.nav-logout button span::before {
    background-image: url('/site/img/logout.svg');
    margin-right: 0;
}
.nav-logout button:hover span::before {
    background-image: url('/site/img/logout-index.svg');
}
